cascading.cascade.planner

## Class IdentifierGraph

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.AbstractBaseGraph<V,E>
    - - org.jgrapht.graph.SimpleDirectedGraph<Vertex,BaseFlow.FlowHolder>
      - - cascading.cascade.planner.TopologyGraph<java.lang.String>
        - - cascading.cascade.planner.IdentifierGraph

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jgrapht.DirectedGraph<java.lang.String,BaseFlow.FlowHolder>, org.jgrapht.Graph<java.lang.String,BaseFlow.FlowHolder>

    public class IdentifierGraph
    extends TopologyGraph<java.lang.String>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jgrapht.graph.AbstractBaseGraph

`org.jgrapht.graph.AbstractBaseGraph.DirectedEdgeContainer<VV,EE>, org.jgrapht.graph.AbstractBaseGraph.DirectedSpecifics, org.jgrapht.graph.AbstractBaseGraph.UndirectedSpecifics`

### Constructor Summary

Constructors
Constructor and Description
`IdentifierGraph(Flow... flows)`

### Method Summary

Methods
`protected java.lang.String` `getVertex(Flow flow, Tap tap)`

### Methods inherited from class org.jgrapht.graph.SimpleDirectedGraph

`builder, builder`

### Methods inherited from class org.jgrapht.graph.AbstractBaseGraph

`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, createDirectedSpecifics, createUndirectedSpecifics, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

### Methods inherited from class org.jgrapht.graph.AbstractGraph

`assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jgrapht.DirectedGraph

`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

### Methods inherited from interface org.jgrapht.Graph

`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

### Constructor Detail

#### IdentifierGraph

    public IdentifierGraph(Flow... flows)

### Method Detail

#### getVertex

    protected java.lang.String getVertex(Flow flow,
                             Tap tap)

Specified by:
  `getVertex` in class `TopologyGraph<java.lang.String>`